function J_sym = SRDLS_cost_function(M,N,params)

% Symbols for the variables to be estimated
%       the variabales to be estimated are the 2 coordinates of the source
%       position [x_1, x_2]
for m=1:M
    eval(['syms x_' num2str(m)]);
end

% Symbols for the observations
%       the observations are the N noisy range-differences [c_1, ..., c_N] 
%       measured at microphones pairs
for n=1:N
    eval(['syms c_' num2str(n)]);
end

% Read the function parameters
%       params contains the microphones coordinates as [xm_1    ym_1;
%                                                       xm_2    ym_2;
%                                                       ...     ... ;
%                                                       xm_N+1  ym_N+1]
mic_pos = params;

% Cost Function
J_sym = 0;
x0 = mic_pos(1,1);
y0 = mic_pos(1,2);

for i = 2:N+1
    ax = mic_pos(i,1)-x0;
    ay = mic_pos(i,2)-y0; 
    di = eval(['c_' num2str(i-1)]);    
    gi = di^2 - (ax^2 + ay^2);
    x = x_1 - x0;
    y = x_2 - y0;
    J_sym = J_sym + (-2*(ax*x + ay*y) -2*di*sqrt(x^2+y^2) - gi)^2;    
end


