function J_sym = my_cost_function(M,N,params)
% my_cost_function(M,N,params) returns the symbolic cost function J_sym to
% be minimized in order to estimate the variables x_1, ..., x_N from the
% observations c_1, ..., c_M.
%
% M      = number of observations;
% N      = number of variables to be estimated;
% params = any type of vector/matrix/structure containing parameters
%          which should be passed to the cost function;
% J_sym  = returned symbolic cost function;
%

% Symbols for the variables to be estimated
for m=1:M
    eval(['syms x_' num2str(m)]);
end

% Symbols for the observations
for n=1:N
    eval(['syms c_' num2str(n)]);
end

% Cost function
J_sym = ... ; % any function of:
              %     x_1 ... x_M,
              %     c_1 ... c_N,
              %     params






